> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourvenues.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch webhook endpoint

> Updates `name`, `url` and/or `events` of an owned webhook endpoint. At least one field is required.  `status`, `disabled_at`, `disabled_reason`, `sign_secret` and `organization_id` are not editable.



## OpenAPI

````yaml patch /webhook-endpoints/{webhookEndpointId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Integrations
  description: >-
    To make any API request you have to use (secret, integration_id) given by
    the organization. <br>
servers:
  - url: https://api-alpha.fourvenues.com/integrations
    description: Alpha
  - url: https://api.fourvenues.com/integrations
    description: Production
security:
  - integration_id: []
    secret: []
    xApiKey: []
tags:
  - name: Events
  - name: Bookings
  - name: Bookings Events
  - name: Channels
  - name: Clients
  - name: Lists
  - name: Passes
  - name: Subscriptions
  - name: Tickets
  - name: Discount Codes
  - name: TicketsRates
  - name: Users
  - name: Payments
  - name: Refunds
  - name: Wallet Movement
  - name: External Payments
  - name: Invoicing
  - name: Passes v2
  - name: Webhook Endpoints
  - name: Webhook Deliveries
paths:
  /webhook-endpoints/{webhookEndpointId}:
    patch:
      tags:
        - Webhook Endpoints
      description: >-
        Updates `name`, `url` and/or `events` of an owned webhook endpoint. At
        least one field is required.  `status`, `disabled_at`,
        `disabled_reason`, `sign_secret` and `organization_id` are not editable.
      parameters:
        - name: webhookEndpointId
          in: path
          required: true
          schema:
            type: string
          description: Webhook endpoint identifier.
          example: we_4gr63f00xkq01i1d8jh5ohuzaZhvoE
      requestBody:
        required: true
        description: Fields to update. At least one field is required.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookEndpointUpdate'
      responses:
        '200':
          description: HTTP OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: we_4gr63f00xkq01i1d8jh5ohuzaZhvoE
                      name:
                        type: string
                        example: Production endpoint
                      url:
                        type: string
                        example: https://example.com/webhooks/fourvenues-v2
                      events:
                        type: array
                        example:
                          - ticket.sold
                        items:
                          type: string
                      status:
                        type: string
                        example: active
                xml:
                  name: main
            application/xml:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: we_4gr63f00xkq01i1d8jh5ohuzaZhvoE
                      name:
                        type: string
                        example: Production endpoint
                      url:
                        type: string
                        example: https://example.com/webhooks/fourvenues-v2
                      events:
                        type: array
                        example:
                          - ticket.sold
                        items:
                          type: string
                      status:
                        type: string
                        example: active
                xml:
                  name: main
        '400':
          description: Bad request
        '401':
          description: HTTP Unauthorized
        '403':
          description: HTTP Forbidden
        '404':
          description: HTTP Not Found
        '500':
          description: HTTP Internal Server Error
components:
  schemas:
    WebhookEndpointUpdate:
      properties:
        name:
          description: Name of the webhook endpoint.
          example: Production endpoint
          type: string
        url:
          description: HTTPS destination URL of the webhook endpoint.
          example: https://example.com/webhooks/fourvenues-v2
          type: string
        events:
          description: Event types to subscribe to. Deduplicated automatically.
          example:
            - ticket.sold
          items:
            type: string
            enum:
              - ticket.sold
              - ticket.refunded
              - ticket.cancelled
              - ticket.created
              - payment.completed
              - booking.created
              - booking.changed
              - booking.cancelled
              - booking.payment_received
          type: array
      type: object
  securitySchemes:
    integration_id:
      type: apiKey
      in: header
      name: integration_id
      description: Identifier of the integration (Auth v1)
    secret:
      type: apiKey
      in: header
      name: secret
      description: Secret of the organization (Auth v1)
    xApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API key (Auth v2)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.